import React from "react";
import { CommonAndHTMLProps } from "../Element/constants";
export interface ButtonCustomProps {
    kind?: "primary" | "secondary" | "tertiary" | "custom";
    size?: "tiny" | "small" | "medium" | "large" | "huge";
    shape?: "rounded" | "curved";
    shadow?: "mild" | "soft" | "hard";
    border?: string;
    isLoading?: boolean;
    hasDelete?: boolean;
}
export declare type ButtonElementType = HTMLButtonElement;
export declare type ButtonProps = CommonAndHTMLProps<ButtonElementType> & ButtonCustomProps;
export declare const Button: React.ForwardRefExoticComponent<CommonAndHTMLProps<HTMLButtonElement> & ButtonCustomProps & React.RefAttributes<HTMLButtonElement>>;
