import React from "react";
import { CommonAndHTMLProps } from "../../Element/constants";
export interface InputLabelCustomProps {
    label?: string;
    helpText?: string;
    errorText?: string;
    htmlFor?: string;
}
export declare type InputLabelElementType = HTMLLabelElement;
export declare type InputLabelProps = CommonAndHTMLProps<InputLabelElementType> & InputLabelCustomProps;
export declare const InputLabel: React.ForwardRefExoticComponent<CommonAndHTMLProps<HTMLLabelElement> & InputLabelCustomProps & React.RefAttributes<HTMLLabelElement>>;
