import React from "react";
import { CommonAndHTMLProps } from "../Element/constants";
export interface HRCustomProps {
    kind?: "primary" | "secondary" | "tertiary";
    sideMargin?: "nano" | "micro" | "tiny" | "small" | "medium" | "large" | "huge";
}
export declare type HRElementType = HTMLHRElement;
export declare type HRProps = CommonAndHTMLProps<HRElementType> & HRCustomProps;
export declare const HRule: React.ForwardRefExoticComponent<CommonAndHTMLProps<HTMLHRElement> & HRCustomProps & React.RefAttributes<HTMLHRElement>>;
