import React from "react";
import { CommonAndHTMLProps } from "../../Element/constants";
export interface NotificationItemCustomProps {
    show: boolean;
    onClose: () => void;
    type?: "info" | "warning" | "error" | "success";
    isDismissible?: boolean;
    timeout?: number;
}
export declare type NotificationItemElementType = HTMLDivElement;
export declare type NotificationItemProps = CommonAndHTMLProps<NotificationItemElementType> & NotificationItemCustomProps;
export declare const NotificationItem: React.ForwardRefExoticComponent<CommonAndHTMLProps<HTMLDivElement> & NotificationItemCustomProps & React.RefAttributes<HTMLDivElement>>;
