import React from "react";
import { CommonAndHTMLProps } from "../Element/constants";
export interface HeadingCustomProps {
    as: "h1" | "h2" | "h3" | "h4" | "h5" | "h6";
    isSans?: boolean;
    isSerif?: boolean;
    isMono?: boolean;
    weight?: "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
    align?: "left" | "centre" | "center" | "right";
}
export declare type HeadingElementType = HTMLHeadingElement;
export declare type HeadingProps = CommonAndHTMLProps<HeadingElementType> & HeadingCustomProps;
export declare const Heading: React.ForwardRefExoticComponent<CommonAndHTMLProps<HTMLHeadingElement> & HeadingCustomProps & React.RefAttributes<HTMLHeadingElement>>;
