import React from "react";
import { Language } from "prism-react-renderer";
import { CommonAndHTMLProps } from "../Element/constants";
export interface CodeBlockCustomProps {
    source?: object | string;
    language?: Language;
}
export declare type CodeBlockElementType = HTMLPreElement;
export declare type CodeBlockProps = CommonAndHTMLProps<CodeBlockElementType> & CodeBlockCustomProps;
export declare const CodeBlock: React.ForwardRefExoticComponent<CommonAndHTMLProps<HTMLPreElement> & CodeBlockCustomProps & React.RefAttributes<HTMLPreElement>>;
