import React from "react";
import { CommonAndHTMLProps } from "../../Element/constants";
export interface FormWrapperCustomProps {
    spacing?: "none" | "nano" | "micro" | "tiny" | "small" | "medium" | "large" | "huge";
}
export declare type FormWrapperElementType = HTMLFormElement;
export declare type FormWrapperProps = CommonAndHTMLProps<FormWrapperElementType> & FormWrapperCustomProps;
export declare const FormWrapper: React.ForwardRefExoticComponent<CommonAndHTMLProps<HTMLFormElement> & FormWrapperCustomProps & React.RefAttributes<HTMLFormElement>>;
