import React from "react";
import { CommonAndHTMLProps } from "../Element/constants";
export interface ProgressBarCustomProps {
    isThin?: boolean;
    barBg?: string;
    barFill?: string;
    unit?: string;
}
export declare type ProgressBarElementType = HTMLProgressElement;
export declare type ProgressBarProps = CommonAndHTMLProps<ProgressBarElementType> & ProgressBarCustomProps;
export declare type ProgressBarMetaProps = CommonAndHTMLProps<HTMLDivElement> & ProgressBarCustomProps;
export declare const ProgressBar: React.ForwardRefExoticComponent<CommonAndHTMLProps<HTMLProgressElement> & ProgressBarCustomProps & React.RefAttributes<HTMLProgressElement>>;
