import React from "react";
import { CommonAndHTMLProps } from "../Element/constants";
export interface RowCustomProps {
    sidePadding?: "nano" | "micro" | "tiny" | "small" | "medium" | "large" | "huge";
    gutters?: "none" | "nano" | "micro" | "tiny" | "small" | "medium" | "large" | "huge";
    retainLayoutOnTabLS?: boolean;
    retainLayoutOnTabPT?: boolean;
    retainLayoutOnMobile?: boolean;
    retainLayoutAlways?: boolean;
}
export declare type RowElementType = HTMLDivElement;
export declare type RowProps = CommonAndHTMLProps<RowElementType> & RowCustomProps;
export declare const Row: React.ForwardRefExoticComponent<CommonAndHTMLProps<HTMLDivElement> & RowCustomProps & React.RefAttributes<HTMLDivElement>>;
