import React from "react";
import { CommonAndHTMLProps } from "../Element/constants";
export interface TableCustomProps {
    bordersFor?: "rows" | "columns" | "both";
    isStriped?: boolean;
    isHoverable?: boolean;
    isFullWidth?: boolean;
}
export declare type TableElementType = HTMLTableElement;
export declare type TableProps = CommonAndHTMLProps<TableElementType> & TableCustomProps;
export declare const Table: React.ForwardRefExoticComponent<CommonAndHTMLProps<HTMLTableElement> & TableCustomProps & React.RefAttributes<HTMLTableElement>>;
