import React from "react";
import { CommonAndHTMLProps } from "../Element/constants";
interface TabType {
    key: string;
    label: string;
    content: React.ReactNode;
}
interface TabsCustomProps {
    tabs: TabType[];
}
export declare type TabsElementType = HTMLDivElement;
export declare type TabsProps = CommonAndHTMLProps<TabsElementType> & TabsCustomProps;
export declare const Tabs: React.ForwardRefExoticComponent<CommonAndHTMLProps<HTMLDivElement> & TabsCustomProps & React.RefAttributes<HTMLDivElement>>;
export {};
